SDL_OpenFileStorage(3)

NAME
SDL_OpenFileStorage - Opens up a container for local filesystem storage.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Storage * SDL_OpenFileStorage(const char *path);

DESCRIPTION
This is provided for development and tools. Portable applications should use SDL_OpenTitleStorage () for access to game data and SDL_OpenUserStorage () for access to user data.

FUNCTION PARAMETERS

path
    the base path prepended to all storage paths, or NULL for no base path.

RETURN VALUE
( SDL_Storage
 *) Returns a filesystem storage container on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CloseStorage(3), •(3), SDL_GetStorageFileSize(3), •(3), SDL_GetStorageSpaceRemaining(3), •(3), SDL_OpenTitleStorage(3), •(3), SDL_OpenUserStorage(3), •(3), SDL_ReadStorageFile(3), •(3), SDL_WriteStorageFile(3)